Package org.bukkit.command

# Class CommandException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.bukkit.command.CommandException

All Implemented Interfaces:
  `Serializable`

public class CommandException extends RuntimeException
Thrown when an unhandled exception occurs during the execution of a Command

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CommandException()`
Creates a new instance of `CommandException` without detail message.
`CommandException(String msg)`
Constructs an instance of `CommandException` with the specified detail message.
`CommandException(String msg, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CommandException

public CommandException()
Creates a new instance of `CommandException` without detail message.

### CommandException

public CommandException(String msg)
Constructs an instance of `CommandException` with the specified detail message.

Parameters:
  `msg` - the detail message.

### CommandException

public CommandException(String msg, Throwable cause)